FastCGI no more supported for Redmine >= 0.9.0 and Rails >= 2.3.5
Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version:  

Description

The script dispatch.fcgi does not work anymore with official Redmine releases >= 0.9.0 and Rails >= 2.3.5

Here is my environment:

$ RAILS_ENV=production ruby script/about

About your application's environment

Ruby version              1.8.6 (i486-linux)

RubyGems version          1.3.6

Rack version              1.0

Rails version             2.3.5

Active Record version     2.3.5

Active Resource version   2.3.5

Action Mailer version     2.3.5

Active Support version    2.3.5

Edge Rails revision       unknown

Application root          /soft/redmine-0.9.0

Environment               production

Database adapter          sqlite3

Database schema version   20091227112908

Here what I do after initializing Redmine:

$ cp public/dispatch.fcgi.example public/dispatch.fcgi

$ chmod +x public/dispatch.fcgi

$ dos2unix public/dispatch.fcgi (this should be nice to avoid to do this)

$ public/dispatch.fcgi

This does nothing. On other platforms, it outputs the HTML contents.

I try also to use an apache2 fcgi configuration but this does not work as well.

I tried 0.9.1 and 0.9.2 and it does not work either.

FastCGI works well with the Redmine debian package 0.9.1-1 (squeeze-testing) and 0.9.3-1 (sid-unstable) that uses Rails 2.2.3.

1. RAILS_ENV=production ruby script/about

About your application's environment

Ruby version              1.8.7 (i486-linux)

RubyGems version          1.3.5

Rails version             2.2.3

Active Record version     2.2.3

Action Pack version       2.2.3

Active Resource version   2.2.3

Action Mailer version     2.2.3

Active Support version    2.2.3

Edge Rails revision       unknown

Application root          /usr/share/redmine

Environment               production

Database adapter          sqlite3

Database schema version   20091227112908

I suspect Rails 2.3.5 to be the cause of this issue.
History

#1 - 2010-03-06 12:05 - Jean-Philippe Lang

The script dispatch.fcgi does not work anymore with official Redmine releases >= 0.9.0 and Rails >= 2.3.5

 Yes, it works. FWIW, redmine.org runs Redmine trunk (Rails 2.3.5) with apache2+fcgid

#2 - 2010-03-06 18:45 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Cant reproduce

Your problem is elsewhere. I run dispatch.fcgi.example renamed dispatch.fcgi without problem here.

$ dos2unix public/dispatch.fcgi (this should be nice to avoid to do this)

 In the svn repository, dispatch.fcgi.example has a proper native eol-style property.

#3 - 2010-03-10 09:18 - Anthony Groyer

Jean-Philippe Lang wrote:

The script dispatch.fcgi does not work anymore with official Redmine releases >= 0.9.0 and Rails >= 2.3.5

 Yes, it works. FWIW, redmine.org runs Redmine trunk (Rails 2.3.5) with apache2+fcgid

 Could you give you ruby env ?

and also how you fcgi is installed ? gem or debian package ? which version is it ?

Thanks

Anthony

#4 - 2010-04-04 23:05 - Adam Walker

I am able to reproduce this problem on Gentoo, using gem/ruby/apache/mod_fastcgi/fcgi from portage. Rails, however, is installed via gem.

System: Gentoo Base 2.0.1 x86_64

Apache: 2.2.14-r1 (portage)

Ruby: 1.8.7_p249 (portage)

Gem: 0.2.3-r1 (portage)

Rails: 2.3.2 (and also tested against 2.3.5) (via gem)

mod_fastcgi: 2.4.7_pre0910052141 (portage)

fcgi: 2.4.1_pre0910052249 (portage)

script/about:

Ruby version              1.8.7 (x86_64-linux)

RubyGems version          1.3.5

Rack version              1.0

Rails version             2.3.2

Active Record version     2.3.2

Action Pack version       2.3.2

Active Resource version   2.3.2

Action Mailer version     2.3.2

Active Support version    2.3.2

Application root          /var/www/localhost/htdocs/redmine

Environment               production

Database adapter          mysql

Database schema version   20100313171051

Hopefully this is enough info to help debugging.
